<div class="row">
    <div class="col-md-6">
        <h1>Registro de Docentes</h1>
        <img src="https://portal.conectaideasperu.com/images/icono_formulario.png" alt="" class="logo">
        <div class="container">
            <form (ngSubmit)="registrarDocente()">
                <div class="form-group">
                    <label for="dni">DNI:</label>
                    <input type="text" name="dni" [(ngModel)]="docente.id" class="form-control" required>
                </div>

                <div class="form-group">
                    <label for="nombre">Nombre:</label>
                    <input type="text" name="nombre" [(ngModel)]="docente.nombre" class="form-control" required>
                </div>

                <div class="form-group">
                    <label for="apellidos">Apellidos:</label>
                    <input type="text" name="apellidos" [(ngModel)]="docente.apellido" class="form-control" required>
                </div>

                <div class="form-group">
                    <label for="condicion">Condición:</label>
                    <select name="condicion" [(ngModel)]="docente.condicion" class="form-control" required>
                        <option value="contratado">Contratado</option>
                        <option value="nombrado">Nombrado</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="correo">Correo institucional:</label>
                    <input type="email" name="correo" [(ngModel)]="docente.correo" class="form-control" required>
                </div>

                <div class="form-group">
                    <label for="telefono">Teléfono:</label>
                    <input type="text" name="telefono" [(ngModel)]="docente.telefono" class="form-control" required>
                </div>

                <div class="form-group">
                    <label for="curso">Curso:</label>
                    <input type="text" name="curso" [(ngModel)]="docente.curso" class="form-control" required>
                </div>

                <button type="submit" class="btn btn-primary">{{editando ? 'Guardar' : 'Registrar'}}</button>
            </form>
        </div>
    </div>

    <div class="col-md-6">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>DNI</th>
                    <th>Nombre</th>
                    <th>Apellidos</th>
                    <th>Condición</th>
                    <th>Correo institucional</th>
                    <th>Teléfono</th>
                    <th>Curso</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let docente of Teachers; let i = index">
                    <td>{{ docente.id}}</td>
                    <td>{{ docente.nombre}}</td>
                    <td>{{ docente.apellido}}</td>
                    <td>{{ docente.condicion}}</td>
                    <td>{{ docente.correo}}</td>
                    <td>{{ docente.telefono}}</td>
                    <td>{{ docente.curso}}</td>
                    <td>
                        <button (click)="eliminarDocente(docente)" class="btn btn-danger">{{'Eliminar'}}</button>
                    </td>
                </tr>
            </tbody>
        </table>

    </div>
</div>